User account creation filtered due to spam.

Bug 43480 - build: random timestamps have multilib conflicts
Summary: build: random timestamps have multilib conflicts
Status: RESOLVED FIXED
Alias: None
Product: gcc
Classification: Unclassified
Component: other (show other bugs)
Version: 4.5.0
: P3 minor
Target Milestone: ---
Assignee: Not yet assigned to anyone
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-03-22 16:02 UTC by Jan Kratochvil
Modified: 2010-06-21 11:46 UTC (History)
1 user (show)

See Also:
Host:
Target:
Build:
Known to work:
Known to fail:
Last reconfirmed:


Attachments
Fix. (1.52 KB, patch)
2010-03-22 16:03 UTC, Jan Kratochvil
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jan Kratochvil 2010-03-22 16:02:53 UTC
The problem I am trying to solve is:

Transaction Check Error:
  file /usr/share/man/man1/gcj-dbtool.1.gz conflicts between attempted installs of libgcj-4.4.3-8.fc13.x86_64 and libgcj-4.4.3-8.fc13.i686
  file /usr/share/man/man1/gij.1.gz conflicts between attempted installs of libgcj-4.4.3-8.fc13.x86_64 and libgcj-4.4.3-8.fc13.i686
  file /usr/share/man/man1/grmic.1.gz conflicts between attempted installs of libgcj-4.4.3-8.fc13.x86_64 and libgcj-4.4.3-8.fc13.i686
  file /usr/share/man/man1/jv-convert.1.gz conflicts between attempted installs of libgcj-4.4.3-8.fc13.x86_64 and libgcj-4.4.3-8.fc13.i686

It is due to:

gzip -dc ./libgcj-4.4.3-8.fc13.i686/usr/share/man/man1/gij.1.gz >gij-i686
gzip -dc ./libgcj-4.4.3-8.fc13.x86_64/usr/share/man/man1/gij.1.gz >gij-x86_64
diff -u gij-*
--- gij-i686	2010-03-22 10:17:59.000000000 +0100
+++ gij-x86_64	2010-03-22 10:18:07.000000000 +0100
@@ -124,7 +124,7 @@
 .\" ========================================================================
 .\"
 .IX Title "GIJ 1"
-.TH GIJ 1 "2010-02-27" "gcc-4.4.3" "GNU"
+.TH GIJ 1 "2010-02-26" "gcc-4.4.3" "GNU"
 .\" For nroff, turn off justification.  Always turn off hyphenation; it makes
 .\" way too many mistakes in technical documents.
 .if n .ad l

One host built that file a different time (day) then a different host.

Moreover the files content should not depend on their time of build.

Patch applies to both GCC HEAD SVN and fastjar CVS.


fastjar/
2010-03-22  Jan Kratochvil  <jan.kratochvil@redhat.com>

        * Makefile.am (fastjar.pod, grepjar.pod): Preserve modification time.
        * Makefile.in: Regenerate.

gcc/java/
2010-03-22  Jan Kratochvil  <jan.kratochvil@redhat.com>

        * Make-lang.in (gcj.pod, jcf-dump.pod, gij.pod, jv-convert.pod)
        (grmic.pod, gcj-dbtool.pod, gc-analyze.pod, aot-compile.pod)
        (rebuild-gcj-db.pod): Preserve modification time.

gcc/fortran/
2010-03-22  Jan Kratochvil  <jan.kratochvil@redhat.com>

        * Make-lang.in (gfortran.pod): Preserve modification time.

gcc/
2010-03-22  Jan Kratochvil  <jan.kratochvil@redhat.com>

        * Makefile.in (%.pod, gcc.pod, gfdl.pod, fsf-funding.pod, gpl.pod):
        Preserve modification time.

libjava/classpath/
2010-03-22  Jan Kratochvil  <jan.kratochvil@redhat.com>

        * doc/Makefile.am (gappletviewer.pod, gjarsigner.pod, gjar.pod)
        (gcjh.pod, gjavah.pod, gkeytool.pod, gnative2ascii.pod, gorbd.pod)
        (grmid.pod, grmiregistry.pod, gserialver.pod, gtnameserv.pod)
        (gjdoc.pod): Preserve modification time.
        * doc/Makefile.in: Regenerate.
Comment 1 Jan Kratochvil 2010-03-22 16:03:24 UTC
Created attachment 20159 [details]
Fix.
Comment 2 Jan Kratochvil 2010-06-21 11:22:52 UTC
Checked-in.  Forgot to place the PR # there.

r161066 | jkratoch | 2010-06-21 13:16:18 +0200 (Mon, 21 Jun 2010) | 7 lines

gcc/
        * Makefile.in (POD2MAN): Provide --date from $(DATESTAMP).

libjava/classpath/
        * doc/Makefile.am (POD2MAN): Provide --date from ChangeLog.
        * doc/Makefile.in: Regenerate.
Comment 3 Jan Kratochvil 2010-06-21 11:29:03 UTC
The fastjar part filed as:
https://sourceforge.net/tracker/?func=detail&aid=3019015&group_id=426&atid=100426
Comment 4 Jan Kratochvil 2010-06-21 11:46:54 UTC
http://gcc.gnu.org/ml/gcc-patches/2010-06/msg01999.html

Wrongly patched libjava/classpath/ChangeLog , therefore fixed it up:

------------------------------------------------------------------------
r161069 | jkratoch | 2010-06-21 13:40:02 +0200 (Mon, 21 Jun 2010) | 3 lines

Move the entry from libjava/classpath/ ChangeLog to ChangeLog.gcj as it is
a local change.  Reported by Jakub Jelinek, approved by Mark Wielaard.
------------------------------------------------------------------------
Index: libjava/classpath/ChangeLog
Index: libjava/classpath/ChangeLog.gcj